<?php
namespace Controller;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource;
use Util\Instance\ServiceInstance;

class Trigger {

    public function findTrigger(DTO\Request\Filter $request, DTO\Response $response)
    {
        $page = $request->getFilterCriteria()->getPage();
        $pageSize = $request->getFilterCriteria()->getPageSize();
        $filters = $request->getFilterCriteria()->getConditions();
        $trigger = ServiceInstance::getTrigger()->findTrigger($filters, $page, $pageSize);
        $response->addDataSet(new DataSource\DataSet('trigger', $trigger));
    }

    public function findTriggerBody(DTO\Request\Filter $request, DTO\Response $response)
    {
        $filters = $request->getFilterCriteria()->getConditions();
        $objectName          = $filters[0]['value'];
        $objectType          = $filters[1]['value'];
        $viewBody = ServiceInstance::getObjects()->findObjectsBody($objectName, $objectType);
        $response->addDataSet(new DataSource\DataSet('triggerBody', $viewBody));
    }
}

