<?php
namespace Repository;

use Util\Instance\GeneralProvider as InstanceProvider;
use Util\Utilities;

class Index
{

    public function getAllIndexes($conditions, $limit, $offset)
    {
        $query = <<<SQL
                SELECT INDEX_NAME, INDEX_TYPE, TABLE_NAME, UNIQUENESS, COMPRESSION
                  FROM USER_INDEXES
                  WHERE 1=1
                  $conditions

SQL;
        $query = Utilities::getPaginatedQuery($query, $limit, $offset);
        return Utilities::getReferenceConnection()->fetchAll($query);

    }

    public function getAllIndexColumns($conditions, $limit, $offset)
    {
        $query = <<<SQL
                SELECT COLUMN_NAME, COLUMN_POSITION, DESCEND, TABLE_NAME
                  FROM USER_IND_COLUMNS
                 WHERE 1=1
                  $conditions
              ORDER BY COLUMN_NAME

SQL;
        $query = Utilities::getPaginatedQuery($query, $limit, $offset);
        return Utilities::getReferenceConnection()->fetchAll($query);

    }
}