<?php
namespace Service;
use \Doctrine\ORM\EntityManager;
use Util\Utilities;
use Util\Instance\GeneralProvider;
use Util\Messages;
use Util\Instance\RepositoryInstance;

class View {
    
    public function findView($filters, $page, $pageSize)
    {
        $conditions = Utilities::createQueryFiltered($filters);
        $limit  = $page * $pageSize;
        $offset = ($page - 1) * $pageSize;
        return RepositoryInstance::getView()->getAllViews($conditions, $limit, $offset);
    }

    public function findViewColumns($filters, $page, $pageSize)
    {
        $conditions = Utilities::createQueryFiltered($filters);
        $limit  = $page * $pageSize;
        $offset = ($page - 1) * $pageSize;
        return RepositoryInstance::getView()->getAllViewColumns($conditions, $limit, $offset);
    }
}